//
//  FMViewController.h
//  hw1
//
//  Created by Uri Nieto on 1/10/10.
//  Copyright 2010 Stanford University. All rights reserved.
//

// This Class is for the FM Synthesis App

#import <UIKit/UIKit.h>


@interface FMViewController : UIViewController {
  UIButton *triggerNoteButton;
  UILabel *modulatedFreqLabel;
  UILabel *carrierFreqLabel;
  UILabel *mIndexLabel;
}

@property (nonatomic, retain) IBOutlet UILabel *modulatedFreqLabel;
@property (nonatomic, retain) IBOutlet UILabel *carrierFreqLabel;
@property (nonatomic, retain) IBOutlet UILabel *mIndexLabel;

- (IBAction)switchPressed:(id)sender;
- (IBAction)changeModulatedFreq:(id)sender;
- (IBAction)changeCarrierFreq:(id)sender;
- (IBAction)changeModIndex:(id)sender;
- (void)triggerNoteButtonPressed:(id)sender;
- (void)triggerNoteButtonUnpressed:(id)sender;
- (void)initTriggerNoteButton;

@end
